Search Transactions
Search transactions with advanced filtering and sorting.
Headers
- enumAcceptconst:application/jsonrequired
Response format. Must be
application/json.values- application/json
- enumContent
- Type const:application/jsonrequiredRequest payload format. Must be
application/jsonwhen a body is sent.values- application/json
Body·TransactionSearchRequest
required
application/json
Model for advanced transaction search
- Type: string | null · Account Idaccount
_id - Type: string | null · Batch Idbatch
_id - Type: string | null · Card Brandcard
_brand - Type: string | null · Card Numbercard
_number - Type: integer | null · End Dateend
_date Integer numbers.
- Type: string | null · Event Idevent
_id - Type: string | null · Gateway Transaction Idgateway
_transaction _id - Type: integer | null · Limitlimit
Integer numbers.
- Type: string | null · Location Idlocation
_id - Type: integer | null · Max Amountmax
_amount Integer numbers.
- Type: integer | null · Min Amountmin
_amount Integer numbers.
- Type: integer | null · Offsetoffset
Integer numbers.
Model for advanced transaction search
Responses
- application/json
- application/json
Request Example for post/v1/transactions/search
curl https://api.uat.koard.com/v1/transactions/search \
--request POST \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'x-koard-apikey: YOUR_SECRET_TOKEN' \
--data '{
"account_id": null,
"batch_id": null,
"card_brand": null,
"card_number": null,
"end_date": null,
"event_id": null,
"gateway_transaction_id": null,
"limit": 100,
"location_id": null,
"max_amount": null,
"min_amount": null,
"offset": 0,
"owner_id": null,
"parent_account_ids": [
""
],
"payment_method": null,
"reader_identifier": null,
"search_term": null,
"sort_by": "created_at",
"sort_order": "desc",
"start_date": null,
"status": [
"pending"
],
"transaction_id": null,
"transaction_type": [
""
]
}'
{
"limit": 1,
"offset": 1,
"page": 1,
"total": 1,
"transactions": [
{
"account_id": "string",
"additional_details": {},
"apple_transaction_id": "string",
"batch_id": null,
"card": "string",
"card_brand": "string",
"card_type": "string",
"created_at": 1,
"currency": "string",
"device_id": null,
"event_id": "string",
"gateway": null,
"gateway_transaction_id": null,
"gateway_transaction_response": null,
"history": [],
"location_id": null,
"merchant_name": "",
"mid": "string",
"owner_id": null,
"parent_account_ids": [
"string"
],
"payment_method": "string",
"processor": null,
"processor_mid": "string",
"processor_response_code": null,
"processor_response_message": null,
"processor_tid": "string",
"reader_identifier": "string",
"refunded": null,
"reversed": null,
"status": null,
"status_reason": null,
"subtotal": 1,
"surcharge_amount": null,
"surcharge_applied": false,
"surcharge_rate": null,
"tax_amount": null,
"tax_rate": null,
"tid": "string",
"tip_amount": null,
"tip_type": null,
"total_amount": 1,
"transaction_id": "string",
"transaction_type": null
}
],
"additionalProperty": "anything"
}
